# Lu-preprocessing

Lu-preprocessing creates a sample of the cleaned .asc map files.

Steps include: 1) filtering of cells,
               2) transformation of the land use map
                  by counting the number of cells with urban land use
                  in the cell Moore neighbourhood,
               3) transformation of other maps with log and rescaling to [0,1],
                  if specified.
               4) creating a matrix of neighbouring regions.

## Install

No installation needed. This is a standalone java application.
Requires JRE 1.8

## Usage

  execute in the root directory

  $ java -jar lu-preprocessing-1.0.0-standalone.jar settings.xml

## Options

    -t, --trace   Print stack trace
    -h, --help    Print command help

## References
  [API Documentation] [doc] folder at the root of this distribution

## License

Licensed under [MIT](http://opensource.org/licenses/MIT)
