(ns lu-rescaling.rescaling-test
  (:require [clojure.test :refer :all]
            [lu-rescaling.rescaling :refer :all]))


(deftest aggregate-test
  (testing "Map values should be averaged in administrative units"
    (
     ; Act
     let [csv (aggregate "test/lu_rescaling/test_folder2"
                         "test/lu_rescaling/region2.asc")]

       ; Assert
       (is (= csv
              '(["region2.asc" "file1.asc" "file2.asc"]
                ["1" "1.600000" "1.000000"]
                ["2" "1.500000" "1.000000"]))))))
