(ns lu-rescaling.stat-test
  (:require [clojure.test :refer :all]
            [lu-rescaling.stat :refer :all]))


(deftest average-groupped-test
  (testing "Average values for groupped positions should be calculated"
    (
     ; Act
     let [average (average-groupped {1 {0 [0 1 3] 1 [2 3]}
                                     2 {0 [2] 1 [1]}}
                                    {"id1.asc"
                                     {0 {0 [0]} 1 {1 [1 2]}
                                      2 {0 [1 2] 1 [3]} 3 {0 [3]}}
                                     "id2.asc"
                                     {1 {0 [0 1 2 3] 1 [1 2 3]}}})]

       ; Assert
       (is (= average
              {"id1.asc" '(8/5 3/2)
               "id2.asc" '(1 1)})))))
