(defproject org.iiasa/regression-tests "1.0.0"
  :description "Library for spatial statistical analysis with resampling."
  :url "github.iiasa.ac.at"
  :license {:name "The MIT License"
            :url "http://opensource.org/licenses/MIT"}
  :scm {:url "git@github.iiasa.ac.at/LandUseSpatialDynamics.git"
        :dir "regression-tests"}
  :dependencies [[org.clojure/clojure "1.8.0"]
                 [clojure-csv/clojure-csv "2.0.1"]
                 [org.clojure/math.numeric-tower "0.0.4"]
                 [incanter "1.5.7"]
                 [org.iiasa/utilities "1.0.0"]]
  :plugins [[lein-codox "0.9.5"]]
  :codox {:output-path "doc"}
  :main ^:skip-aot regression-tests.core
  :target-path "target/%s"
  :profiles {:uberjar {:aot :all}}
  :jvm-opts ["-d64" "-Xms512m" "-Xmx4g"])
